Skip to main content

Remote Configuration

This Endpoint allows you to update configuration values remotely through FCM for SDK settings.

Endpoint:

GET /v1/FCM/Config

Request Parameters:

NameTypeRequiredDescription
deviceTokenstringNoDefault is the test emulator token.
statusstringYesEnables (true) or disables (false) the custom configuration.
keystringYesThe configuration key to update (e.g., sessionReplayConfig.maskAllTextInputs).
valuestringYesThe value to set for the given key.

Example Request (cURL):

curl -X 'GET' \
'<URL>/v1/FCM/Config?deviceToken=<<TOKEN>>&status=true&key=sessionReplayConfig.maskAllTextInputs&value=false' \
-H 'accept: */*'

Swagger Documentation:

Access the API documentation at:

Configuration UI

Tested Configurations:
sessionReplayConfig.maskAllTextInputs
httpLogger